Package jebl.evolution.taxa

# Class TaxonomicLevel

java.lang.Object
jebl.evolution.taxa.TaxonomicLevel

public class TaxonomicLevel extends Object

Version:
  $Id: TaxonomicLevel.java 185 2006-01-23 23:03:18Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
get the name of the taxonomic level
`static TaxonomicLevel`
`getTaxonomicLevel(String name)`
A static method that returns a TaxonomicLevel object with the given name.
`static Set`
`getTaxonomicLevels()`
Returns a Set containing all the currently created taxonomic levels.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
get the name of the taxonomic level

Returns:
  the name

### getTaxonomicLevel

public static TaxonomicLevel getTaxonomicLevel(String name)
A static method that returns a TaxonomicLevel object with the given name. If this has already been created then the same instance will be returned.

Parameters:
  `name` - the name of the taxonomic level
Returns:
  the taxonomic level object

### getTaxonomicLevels

public static Set getTaxonomicLevels()
Returns a Set containing all the currently created taxonomic levels.

Returns: